Subject: bug#74469: bug in ispell-buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Nov 2024 13:47:12 +0200

> From: Robert Boyer <[email-masked]>
> Date: Fri, 22 Nov 2024 04:17:11 -0600
> Cc: [email-masked], [email-masked]
> 
> Perhaps I can answer a few of your questions, but Emacs, as always, answers the
> most. See far below.
> 
> Ispell-breaks on:
> 
>  ōm namō bhagavatē śrī aruṇācala ramaṇāya
> 
> > Breaks how?
> 
> Here is the error report I see:
> 
> Debugger entered--Lisp error: (error "Ispell misalignment: word ‘nam’ point 122; probabl...")
>   error("Ispell misalignment: word `%s' point %d; probably ..." "nam" 122)
>   ispell-process-line("^> ōm namō bhagavatē śrī aruṇācala ramaṇāya\n" nil)
>   ispell-region(1 5627)
>   ispell-buffer()
>   funcall-interactively(ispell-buffer)
>   command-execute(ispell-buffer record)
>   execute-extended-command(nil "ispell-buffer" "ispell-b")
>   funcall-interactively(execute-extended-command nil "ispell-buffer" "ispell-b")
>   command-execute(execute-extended-command)
> 
> > Please tell more details about the problem, so we could investigate it
> > and attempt to fix it whatever needs fixing.
> 
> > Specifically, we need to know the following:
> 
> > in what language is the above text written?
> 
> I am not certain. 'Indian' is a sick response. Perhaps Tamil? Perhaps
> Sanskrit. My Guru, Kumar Saran ([email-masked]) can tell you
> precisely. I have cc'd him on this message.
> 
> > What spell-checking program do you use as the back-end for ispell-buffer?
> 
> I am as dumb as I rock. I have no idea. I use a Chromebook, I am sure. I get
> ispell with the single Debian Gnu Linux shell command:
> 
>    sudo apt install ispell

What is the value of ispell-program-name?  After you invoke
ispell-buffer for the first time in an Emacs session, type

  M-: ispell-program-name RET

and tell what it displays.  If it says your spell-checking program is
Ispell, then the above error message is expected: Ispell does not
support languages whose text cannot be encoded in single-byte
encoding, while the text you show needs something like UTF-8 to
encode.

Also, type this:

  M-: ispell-current-dictionary RET

and tell what it displays.

Thanks.